[GRASS-SVN] r46122 - grass/branches/releasebranch_6_4/mswindows/osgeo4w

svn_grass at osgeo.org svn_grass at osgeo.org
Thu Apr 28 07:24:39 EDT 2011


Author: martinl
Date: 2011-04-28 04:24:39 -0700 (Thu, 28 Apr 2011)
New Revision: 46122

Modified:
   grass/branches/releasebranch_6_4/mswindows/osgeo4w/grass.bat.tmpl
   grass/branches/releasebranch_6_4/mswindows/osgeo4w/mklibs.sh
   grass/branches/releasebranch_6_4/mswindows/osgeo4w/package.sh
   grass/branches/releasebranch_6_4/mswindows/osgeo4w/postinstall.bat
   grass/branches/releasebranch_6_4/mswindows/osgeo4w/preremove.bat
Log:
update osgeo4w package scripts

Modified: grass/branches/releasebranch_6_4/mswindows/osgeo4w/grass.bat.tmpl
===================================================================
--- grass/branches/releasebranch_6_4/mswindows/osgeo4w/grass.bat.tmpl	2011-04-28 11:14:14 UTC (rev 46121)
+++ grass/branches/releasebranch_6_4/mswindows/osgeo4w/grass.bat.tmpl	2011-04-28 11:24:39 UTC (rev 46122)
@@ -1,4 +1,5 @@
 @echo off
-call @OSGEO4W_ROOT@\bin\o4w_env.bat
-call @OSGEO4W_ROOT@\apps\grass\grass- at VERSION@\etc\env.bat
+SET OSGEO4W_ROOT=@osgeo4w@
+call %OSGEO4W_ROOT%\bin\o4w_env.bat
+call %OSGEO4W_ROOT%\apps\grass\grass- at VERSION@\etc\env.bat
 "%WINGISBASE%"\etc\init.bat %*

Modified: grass/branches/releasebranch_6_4/mswindows/osgeo4w/mklibs.sh
===================================================================
--- grass/branches/releasebranch_6_4/mswindows/osgeo4w/mklibs.sh	2011-04-28 11:14:14 UTC (rev 46121)
+++ grass/branches/releasebranch_6_4/mswindows/osgeo4w/mklibs.sh	2011-04-28 11:24:39 UTC (rev 46122)
@@ -2,12 +2,12 @@
 
 set -e
 
-PROGRAMFILES="/c/Programme"
+PROGRAMFILES="/c/Program Files (x86)"
 VSDIR="$PROGRAMFILES/Microsoft Visual Studio 9.0"
 PATH="$VSDIR/Common7/IDE:$PATH"
 PATH="$VSDIR/VC/bin:$PATH"
 PATH="$VSDIR/Common7/Tools:$PATH"
-PATH="$PATH:/c/MinGW/bin"
+PATH="$PATH:/c/OSGeo4W/bin"
 export PATH
 
 [ -d mswindows/osgeo4w/vc ] || mkdir mswindows/osgeo4w/vc
@@ -32,4 +32,4 @@
 	lib -nologo -def:${defname} -subsystem:windows -machine:x86
 	lib -nologo $libname || exit
 	cd ../../..
-done 
+done

Modified: grass/branches/releasebranch_6_4/mswindows/osgeo4w/package.sh
===================================================================
--- grass/branches/releasebranch_6_4/mswindows/osgeo4w/package.sh	2011-04-28 11:14:14 UTC (rev 46121)
+++ grass/branches/releasebranch_6_4/mswindows/osgeo4w/package.sh	2011-04-28 11:24:39 UTC (rev 46122)
@@ -123,7 +123,7 @@
 fi
 
 log make 
-make -k || ( cat error.log >&3 && false ) 
+#make -k || ( cat error.log >&3 && false ) 
 
 log make install
 make install
@@ -133,7 +133,7 @@
     $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/include/grass/config.h.mingw
 cp mswindows/osgeo4w/config.h.switch $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/include/grass/config.h
 cp mswindows/osgeo4w/config.h.vc $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/include/grass
-sed -e "s#@VERSION@#$VERSION#g" -e "s#@OSGEO4W_ROOT@#$OSGEO4W_ROOT#g" \
+sed -e "s#@VERSION@#$VERSION#g" -e "s#@osgeo4w@#$OSGEO4W_ROOT#g" \
     mswindows/osgeo4w/grass.bat.tmpl >$OSGEO4W_ROOT_MSYS/bin/grass$MAJOR$MINOR.bat
 sed -e "s#@VERSION@#$VERSION#g" -e "s#@OSGEO4W_ROOT_MSYS@#$OSGEO4W_ROOT#g" \
     mswindows/osgeo4w/env.bat.tmpl >$OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/etc/env.bat
@@ -155,9 +155,11 @@
 # rm "$OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/etc/fontcap"
 
 if [ -n "$1" ]; then
+    PACKAGE="$1"
     log building vc libraries 
-    sh mswindows/osgeo4w/mklibs.sh $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/bin/*.$VERSION.dll 
-    mv mswindows/osgeo4w/vc/grass*.lib $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/lib 
+    sh mswindows/osgeo4w/mklibs.sh $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/lib/*.$VERSION.dll 
+    mv mswindows/osgeo4w/vc/grass*.lib $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/lib
+    # rm $OSGEO4W_ROOT_MSYS/apps/grass/grass-$VERSION/lib/*.dll
     
     # log BUILDING GDAL GRASS plugins 
     # $COMSPEC /c "mswindows\\osgeo4w\\gdalplugins.cmd $VERSION" 
@@ -166,15 +168,27 @@
     mkdir -p package/grass$MAJOR$MINOR 
     
     PDIR=$PWD/package
+    SRC=$PWD
     cd $OSGEO4W_ROOT_MSYS 
     
+    sed -e "s#GISBASE_VALUE#@osgeo4w@\\\apps\\\grass\\\grass-$VERSION#g" \
+	$SRC/lib/init/grass.src >$OSGEO4W_ROOT_MSYS/bin/grass$MAJOR$MINOR.tmpl
+    sed -e "s#@VERSION@#$VERSION#g" \
+	$SRC/mswindows/osgeo4w/grass.bat.tmpl >$OSGEO4W_ROOT_MSYS/bin/grass$MAJOR$MINOR.bat.tmpl
+    
     tar -cjf $PDIR/grass$MAJOR$MINOR/grass-$VERSION-$PACKAGE.tar.bz2 \
     apps/grass/grass-$VERSION \
-    bin/grass$MAJOR$MINOR.bat \
-    bin/grass$MAJOR$MINOR \
+    bin/grass$MAJOR$MINOR.bat.tmpl \
+    bin/grass$MAJOR$MINOR.tmpl \
+    bin/libintl3.dll \
+    bin/libiconv2.dll \
+    bin/regex2.dll \
     etc/postinstall/grass$MAJOR$MINOR.bat \
     etc/preremove/grass$MAJOR$MINOR.bat
     
+    rm bin/grass$MAJOR$MINOR.tmpl
+    rm bin/grass$MAJOR$MINOR.bat.tmpl
+    
     cd $PDIR/.. 
     svn diff >/tmp/grass-$VERSION.diff
     tar -C /tmp -cjf $PDIR/grass$MAJOR$MINOR/grass-$VERSION-$PACKAGE-src.tar.bz2 grass-$VERSION.diff 

Modified: grass/branches/releasebranch_6_4/mswindows/osgeo4w/postinstall.bat
===================================================================
--- grass/branches/releasebranch_6_4/mswindows/osgeo4w/postinstall.bat	2011-04-28 11:14:14 UTC (rev 46121)
+++ grass/branches/releasebranch_6_4/mswindows/osgeo4w/postinstall.bat	2011-04-28 11:24:39 UTC (rev 46122)
@@ -1,13 +1,12 @@
 set ICON=%OSGEO4W_ROOT%\apps\grass\grass- at VERSION@\etc\gui\icons\grass.ico
 set BATCH=%OSGEO4W_ROOT%\bin\grass at POSTFIX@.bat
-textreplace -std -t "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@-env.bat 
-textreplace -std -t "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@.bat 
+textreplace -std -t "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@.bat
 textreplace -std -t "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@ 
 textreplace -std -t "%OSGEO4W_ROOT%"\apps\grass\grass- at VERSION@\etc\fontcap 
 
 mkdir "%OSGEO4W_STARTMENU%\GRASS GIS @VERSION@" 
 xxmklink "%OSGEO4W_STARTMENU%\GRASS GIS @VERSION@\wxPython @VERSION at .lnk"   "%BATCH%" "-wxpython" \ "wxPython interface" 1 "%ICON%" 
-xxmklink "%OSGEO4W_STARTMENU%\GRASS GIS @VERSION@\TclTkx @VERSION at .lnk"     "%BATCH%" "-tcltk" \ "Tcl/Tk interface" 1 "%ICON%" 
+xxmklink "%OSGEO4W_STARTMENU%\GRASS GIS @VERSION@\TclTk @VERSION at .lnk"     "%BATCH%" "-tcltk" \ "Tcl/Tk interface" 1 "%ICON%" 
 xxmklink "%OSGEO4W_STARTMENU%\GRASS GIS @VERSION@\Text @VERSION at .lnk"       "%BATCH%" "-text" \ "Text interface" 1 "%ICON%" 
 
 xxmklink "%ALLUSERSPROFILE%\Desktop\GRASS GIS @VERSION@ (wxpython).lnk" "%BATCH%" "-wxpython" \ "wxPython" 1 "%ICON%" 

Modified: grass/branches/releasebranch_6_4/mswindows/osgeo4w/preremove.bat
===================================================================
--- grass/branches/releasebranch_6_4/mswindows/osgeo4w/preremove.bat	2011-04-28 11:14:14 UTC (rev 46121)
+++ grass/branches/releasebranch_6_4/mswindows/osgeo4w/preremove.bat	2011-04-28 11:24:39 UTC (rev 46122)
@@ -8,7 +8,5 @@
 del "%ALLUSERSPROFILE%\Desktop\GRASS GIS @VERSION@ (Text).lnk"
 
 del "%OSGEO4W_ROOT%"\apps\grass\grass- at VERSION@\etc\fontcap 
-del "%OSGEO4W_ROOT%"\apps\grass\bin\grass at POSTFIX@ 
-del "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@-env.bat 
 del "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@.bat
-
+del "%OSGEO4W_ROOT%"\bin\grass at POSTFIX@



More information about the grass-commit mailing list